Name:             cookcc
Version:          0.3.3
Release:          %mkrel 14
Summary:          Lexer and Parser Generator
Group:            Development/Java
License:          BSD
URL:              https://github.com/coconut2015/cookcc

# svn export -r 678 http://cookcc.googlecode.com/svn/trunk/ cookcc-0.3.3
# tar -J -cf cookcc-0.3.3.tar.xz cookcc-0.3.3
Source0:          %{name}-%{version}.tar.xz
Source1:          %{name}-%{version}-pom.xml

Patch0:           %{name}-%{version}-xerces.patch
Patch1:           %{name}-%{version}-buildxml.patch
Patch2:           %{name}-%{version}-port-to-jsr-269.patch
Patch3:           %{name}-0.3.3-freemarker2.3.2+.patch

BuildArch:        noarch

BuildRequires:    ant
BuildRequires:    cookxml
BuildRequires:    freemarker
BuildRequires:    javapackages-local
BuildRequires:    xerces-j2

Requires:         freemarker
Requires:         cookxml
Requires:         xerces-j2

%description
CookCC is a lexer and parser (LALR (1)) generator project, combined.
It is written in Java, but the target languages can vary. 

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

find . -name '*.jar' -delete

%build
CLASSPATH=$(build-classpath xerces-j2 freemarker cookxml) ant cookcc_jar javadocs

%install
%mvn_artifact %{SOURCE1} dist/%{name}-%{version}.jar
%mvn_install -J javadocs

%files -f .mfiles
%license LICENSE_cookcc.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE_cookcc.txt


%changelog
* Thu Mar 17 2016 daviddavid <daviddavid> 0.3.3-14.mga6
+ Revision: 992402
- First rebuild of the java stack
- sync package cookcc with fedora

* Tue Feb 09 2016 umeabot <umeabot> 0.3.3-8.mga6
+ Revision: 951370
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 daviddavid <daviddavid> 0.3.3-7.mga5
+ Revision: 806396
- Sync with fc21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Dec 18 2013 dmorgan <dmorgan> 0.3.3-4.mga4
+ Revision: 558544
- Fix build

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.3.3-2.mga3
+ Revision: 348121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 0.3.3-1.mga2
+ Revision: 131927
- Clean spec file

  + gil <gil>
    - imported package cookcc

